
import 'package:flutter/material.dart';
import 'package:oc_front/models/search.dart';

class DataItemWidget extends StatefulWidget {
  DataItem item;
  DataItemWidget ({ super.key, required this.item });
  @override DataItemWidgetState createState() => DataItemWidgetState();
}
class DataItemWidgetState extends State<DataItemWidget> {
  @override Widget build(BuildContext context) {
    return Wrap( children: [
      Padding(padding: const EdgeInsets.symmetric(vertical: 20, horizontal: 100),
        child: Text("type : ${widget.item.type ?? "unknown type"}", 
          style: const TextStyle(fontSize: 15, fontWeight: FontWeight.w600))),
      Padding(padding: const EdgeInsets.symmetric(horizontal: 100, vertical: 20), 
        child: Text("protocol : ${widget.item.protocols.isEmpty ? "no protocol founded" : widget.item.protocols.join(",")}", 
          style: const TextStyle(fontSize: 15, fontWeight: FontWeight.w600))),
      Padding(padding: const EdgeInsets.symmetric(horizontal: 100, vertical: 20), 
        child: Text("ex : ${widget.item.exemple ?? "no example"}", 
          style: const TextStyle(fontSize: 15, fontWeight: FontWeight.w600))),
    ]);
  } 
}